Bug 208622 - devel/obby: Fix build with libc++ 3.8.0
Summary: devel/obby: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-04-07 22:13 UTC by Dimitry Andric
Modified: 2016-04-10 06:10 UTC (History)
1 user (show)

See Also:


Attachments
Fix type for abs() calls in devel/obby (1.20 KB, patch)
2016-04-07 22:13 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-07 22:13:22 UTC
Created attachment 169094 [details]
Fix type for abs() calls in devel/obby

During the exp-run in bug 208158, it was found that devel/obby gives errors with libc++ 3.8.0 [1]:

colour.cpp:50:9: error: call to 'abs' is ambiguous
        return abs(m_red - colour.m_red) +
               ^~~

This is because abs() is being called with unsigned arguments.  Fix this by casting the arguments to the appropriate signed type.

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/obby-0.4.8_2.log
Comment 1 commit-hook freebsd_committer 2016-04-10 06:07:00 UTC
A commit references this bug:

Author: riggs
Date: Sun Apr 10 06:06:13 UTC 2016
New revision: 412889
URL: https://svnweb.freebsd.org/changeset/ports/412889

Log:
  Fix build with libc++ 3.8.0

  PR:		208622
  Submitted by:	dim
  MFH:		2016Q2 (build fix blanket)

Changes:
  head/devel/obby/files/
  head/devel/obby/files/patch-src__colour.cpp
Comment 2 commit-hook freebsd_committer 2016-04-10 06:10:02 UTC
A commit references this bug:

Author: riggs
Date: Sun Apr 10 06:09:28 UTC 2016
New revision: 412890
URL: https://svnweb.freebsd.org/changeset/ports/412890

Log:
  MFH: r412889

  Fix build with libc++ 3.8.0

  PR:		208622
  Submitted by:	dim

  Approved by:	ports-secteam (build fix blanket)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/devel/obby/files/